pingus (6)

NAME
pingus - A puzzle game where you have to save penguins

SYNOPSIS
pingus
[OPTION]... [FILE]

DESCRIPTION
Pingus is a side-scrolling puzzle game where the player has to guide a group of penguins from the entrance of a level to the exit, in between the path is blocked by numerous obstacles and dangers that the player has to overcome by assigning actions to the penguins.

OPTIONS

  GENERAL OPTIONS

-h, --help
    Displays this help

-V, --version
    Print version number and exit

-v, --verbose
    Enable info level log output

-D, --debug
    Enable debug level log output

-Q, --quiet
    Disable all log output

  DISPLAY OPTIONS

-w, --window
    Start in Window Mode

-f, --fullscreen
    Start in Fullscreen

-r, --renderer=RENDERER
    Use the given renderer, defaults to sdl. Available renderers are:

    sdl A simple software renderer based on SDL, this is the default and the safest options.

    opengl
        The OpenGL renderer will use hardware acceleration to render the graphics, it is much faster then the SDL renderer and recommended when the hardware supports OpenGL.

    delta
        The delta renderer uses SDL for rendering and doesn't use hardware acceleration, it will however try to increase rendering performance by only re rendering screen elements that have changed. Using the delta renderer will disable some effects such as scrolling background to allow maximum benefits.

-g, --geometry=WIDTHxHEIGHT
    Set the window resolution for pingus (default: 800x600). Note that \FC--geometry\F[] only applies to the window resolution, for the fullscreen resolution use \FC--fullscreen-resolution\F[]

-R, --fullscreen-resolution=WIDTHxHEIGHT
    Set the resolution used in fullscreen mode (default: 800x600)

--software-cursor
    Enable software cursor

  GAME OPTIONS

--no-auto-scrolling
    Disable automatic scrolling. Automatic scrolling will cause the screen to scroll whenever the mouse reaches the border of the screen. Automatic scrolling will only be active in fullscreen mode or when mouse-grab is enabled.

--drag-drop-scrolling
    Enable drag'n drop scrolling. By default Pingus will use a rubber-band scrolling where the scroll speed depends on how far away the cursor is from the position when the mouse button has been clicked. In drag&drop mode scrolling will behave more like in traditional GUI applications such as Gimp, where clicking the scroll button will 'pick up' the playfield and allow to move it around till it is released again.

  SOUND OPTIONS

-s, --disable-sound
    Disable sound

-m, --disable-music
    Disable music

  LANGUAGE OPTIONS

-l, --language=LANG
    Select language to use with Pingus

--list-languages
    List all available languages

  EDITOR OPTIONS

-e, --editor
    Loads the level editor

  DIRECTORY OPTIONS

-d, --datadir=DIR
    Load game datafiles from DIR

-u, --userdir=DIR
    Load config files and store savegames in DIR

-a, --addon=DIR
    Load game modifications from DIR. Files in DIR will be used instead of the files in found in the main datadir of Pingus, thus allowing to modifications, such as sprites replacements, additional levels, etc. to the game, without changing the main data files.

--no-cfg-file
    Don't read ~/.pingus/config

-c, --config=FILE
    Read config from FILE

--controller=FILE
    Uses the controller given in FILE

  DEBUG OPTIONS

--developer-mode
    Enables some special features for developers

-t, --speed=SPEED
    Set the game speed (0=fastest, >0=slower)

-k, --fps=FPS
    Set the desired game framerate (frames per second)

--tile-size=INT
    Set the size of the map tiles (default: 32)

KEYBOARD SHORTCUTS

  GAMEPLAY
All gameplay related keyboard shortcuts are configurable via a controller config file, see \FC--controller\F[] and \FCcontroller/default.scm\F[].

Space
    Activate fast-forward mode.

P   Pause the game.

S   Advance the game by a single frame.

A   Activate armageddon.

Escape
    Leave the current screen/level.

  ENGINE

F10 Show/hide the FPS counter.

AltReturn, F11
    Switch to fullscreen/window mode.

Ctrlg
    Toggle mouse grab, when active, the mouse can not leave the window.

Ctrlo, F5
    Show the option menu.

F12 Make a screenshot. Screenshots are stored in \FC~/.pingus/screenshots/\F[].

Ctrlm
    Toggle the developer mode, see \FC--developer-mode\F[]

c (only in developer-mode)
    Show the collision map overlayed over the regular groundmap.

k (only in developer-mode)
    Clear the screen for delta mode debugging.

ACTIONS

Basher
    The Basher will to a horizontal dig, leaving behind it a tunnel. It is not able to dig through metal.

Blocker
    The Blocker will stop and stay in position, directing other penguins to turn around when they reach him.

Bomber
    The Bomber will blow up on the spot and take a bit of surrounding ground with it.

Bridger
    The Bridger will build a small bridge, useful for crossing small chasm.

Climber
    The Climber actions allows a Pingu to travel upwards a vertical wall. Unlike other actions the climber action is a permanent addition to the Pingus ability.

Digger
    The Digger will dig a hole into the ground. It can't dig through metal.

Floater
    The Floater action will give a penguin a small propeller that lets him gently glide down from great heights that would otherwise be deadly.

Jumper
    The Jumper will let the Pingu do a big leap forward, allowing him to cross chasm and small vertical obstacles.

Miner
    The Miner will dig a diagonal hole into the ground.

Slider
    The Slider will make a tiny leap forward, gliding on its belly for a short while, allowing the Pingu to make it through narrow tunnels.

COPYRIGHT
Copyright (C) 1998-2011 Ingo Ruhnke <\FCgrumbel@gmail.com\F[]> See the file AUTHORS for a complete list of contributors. Pingus comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details.

SEE ALSO
http://pingus.seul.org